<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2010 BVB Media Ltd - Bas van Beek <bvbmedia@gmail.com>
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/
/**
 * [CLASS/FUNCTION INDEX of SCRIPT]
 *
 * Hint: use extdeveval to insert/update function index above.
 */
require_once(PATH_tslib.'class.tslib_pibase.php');
/**
 * Plugin 'multishop' for the 'multishop' extension.
 *
 * @author	BVB Media Ltd - Bas van Beek <bvbmedia@gmail.com>
 * @package	TYPO3
 * @subpackage	tx_multishop
 */
global $mg,$get,$server,$post,$TYPO3_CONF_VARS;
//global $BE_USER, $LANG, $BACK_PATH, $TYPO3_CONF_VARS, $HTTP_GET_VARS, $HTTP_POST_VARS;
class tx_multishop_pi1 extends tslib_pibase {
	var $cObj;    // reference to the calling object. 
	var $prefixId      = 'tx_multishop_pi1';		// Same as class name
	var $scriptRelPath = 'pi1/class.tx_multishop_pi1.php';	// Path to this script relative to the extension dir.
	var $extKey        = 'multishop';	// The extension key.
	var $pi_checkCHash = true;
	/**
	 * The main method of the PlugIn
	 *
	 * @param	string		$content: The PlugIn content
	 * @param	array		$conf: The PlugIn configuration
	 * @return	The content that is displayed on the website
	 */
 /**
    * Init Function: here all the needed configuration values are stored in class variables

    *
    * @param    array   $conf: configuration array from TS
    * @return   void

    */
	function init($conf) {
	  $this->conf = $conf; // Store configuration
	  $this->pi_setPiVarDefaults(); // Set default piVars from TS
	  $this->pi_initPIflexForm(); // Init FlexForm configuration for plugin
	  // Read extension configuration
	  $extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$this->extKey]);
	  if (is_array($extConf)) {
		 $conf = t3lib_div::array_merge($extConf, $conf);
	
	  }
	  // Read TYPO3_CONF_VARS configuration
	  $varsConf = $GLOBALS['TYPO3_CONF_VARS']['EXTCONF'][$this->extKey];
	  if (is_array($varsConf)) {
	
		 $conf = t3lib_div::array_merge($varsConf, $conf);
	
	  }
	  // Read FlexForm configuration
	  if ($this->cObj->data['pi_flexform']['data']) {
	
		 foreach ($this->cObj->data['pi_flexform']['data'] as $sheetName => $sheet) {
	
			foreach ($sheet as $langName => $lang) {
			   foreach(array_keys($lang) as $key) {
	
				  $flexFormConf[$key] = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 
															 $key, $sheetName, $langName);
	
				  if (!$flexFormConf[$key]) {
					 unset($flexFormConf[$key]);
	
				  }
			   }
			}
		 }
	  }
	  if (is_array($flexFormConf)) {
	
		 $conf = t3lib_div::array_merge($conf, $flexFormConf);
	  }
	  $this->conf = $conf;
	}	
	function main($content, $conf) {
		$full_script_path=t3lib_div::getIndpEnv('TYPO3_DOCUMENT_ROOT').'/'.t3lib_extMgm::siteRelPath($this->extKey).'scripts/';	
		set_include_path(t3lib_div::getIndpEnv('TYPO3_DOCUMENT_ROOT').'/'.t3lib_extMgm::siteRelPath($this->extKey).PATH_SEPARATOR.t3lib_div::getIndpEnv('TYPO3_DOCUMENT_ROOT').'/'.t3lib_extMgm::siteRelPath($this->extKey).'scripts/');		
		global $mg,$get,$server,$post,$TYPO3_CONF_VARS;
		$this->conf = $conf;
		$this->pi_setPiVarDefaults();
		$this->pi_loadLL();
		$this->pi_initPIflexForm();
		$this->pi_USER_INT_obj = 1;
		// this will convert any string which is supplied as $_SERVER['REMOTE_ADDR'] into a valid ip address
		$this->REMOTE_ADDR = long2ip(ip2long($_SERVER['REMOTE_ADDR']));
		if ($this->conf['method']) 	$this->method = $this->conf['method'];
		else						$this->method = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'method', 'sDEFAULT');
		$this->page_uid 		= $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'page_uid', 'sDEFAULT');
		$this->admin_group 		= $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'admin_group', 'sDEFAULT');		
		if (is_numeric($this->admin_group))	$GLOBALS["admin_group"]			=$this->admin_group;
		if ($this->page_uid > 0) 			$GLOBALS["multishop_page_uid"]	=$this->page_uid;
		else								$GLOBALS["multishop_page_uid"]	=$GLOBALS["TSFE"]->id;
		$lang=$GLOBALS['TSFE']->config['config']['language'];
		$test=count($GLOBALS['TSFE']->tmpl->constants)-1;
		if (!$GLOBALS['TSFE']->tmpl->constants[$test])	$test--;
		if (!$GLOBALS['TSFE']->tmpl->constants[$test])	$test--;
		if (!$GLOBALS['TSFE']->tmpl->constants[$test])	$test--;
		preg_match("/BVBTPL.*?\=(.*?)\n/",$GLOBALS['TSFE']->tmpl->constants[$test],$tmpje);
		$BVBTPL=$GLOBALS['TSFE']->config['BVBTPL'];
		include_once('includes/application_top_once.php');
		$mg['admin_mode']=ifAdmin($GLOBALS['TSFE']->fe_user->user['uid'],$this->conf['fe_admin_usergroup']);
		include('includes/application_top_always.php');	
		$mg['category_image_formats']['normal']['width']	=$this->conf['category_image_format_normal_width'];
		$mg['category_image_formats']['normal']['height']	=$this->conf['category_image_format_normal_height'];
		$mg['product_image_formats'][50]['width']			=$this->conf['product_image_format_50_width'];
		$mg['product_image_formats'][50]['height']			=$this->conf['product_image_format_50_height'];
		$mg['product_image_formats'][100]['width']			=$this->conf['product_image_format_100_width'];
		$mg['product_image_formats'][100]['height']			=$this->conf['product_image_format_100_height'];
		$mg['product_image_formats'][200]['width']			=$this->conf['product_image_format_200_width'];
		$mg['product_image_formats'][200]['height']			=$this->conf['product_image_format_200_height'];
		$mg['product_image_formats'][300]['width']			=$this->conf['product_image_format_300_width'];
		$mg['product_image_formats'][300]['height']			=$this->conf['product_image_format_300_height'];
		$mg['product_image_formats']['enlarged']['width']	=$this->conf['product_image_format_enlarged_width'];
		$mg['product_image_formats']['enlarged']['height']	=$this->conf['product_image_format_enlarged_height'];
		for ($x=5;$x>=0;$x--)
		{
			if ($get['categories_id'][$x])
			{
				$get['categories_id']=$get['categories_id'][$x];
				break;
			}	
		}		
		// application top things that is only runned the first time the plugin is called
		if (!$TYPO3_CONF_VARS["tx_multishop_started"])
		{
			$TYPO3_CONF_VARS["tx_multishop_started"]=1;
			if ((($post['products_id'] or $get['delete_products_id'] or $post['qty']) and $get['tx_multishop_pi1']['page_section']=='shopping_cart') and !$GLOBALS['dont_update_cart']) updateCart();			
			if ($get['categories_id']) 			$categories_id=$get['categories_id'];
			elseif ($product['categories_id']) 	$categories_id=$product['categories_id'];
			if ($categories_id) 				$TYPO3_CONF_VARS['tx_multishop_data']['user_crumbar']=Crumbar($categories_id);
		}
		// application top things that is only runned the first time the plugin is called eof
		switch ($this->method)
		{
			case 'meta_tags':
			$meta_tags=array();
			$meta_tags['tx_multishop_pi1_more'] ='			
			<link rel="stylesheet" type="text/css" href="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'js/highslide/highslide.css" media="screen" />
			<link rel="stylesheet" type="text/css" href="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'templates/css/jcarousel/jquery.jcarousel.css" media="screen" />
			<link rel="stylesheet" type="text/css" href="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'templates/css/jcarousel/slider.css" media="screen" />
			';
			if ($this->conf['includeCSS'])
			{
				$meta_tags['tx_multishop_pi1_css'] .='<link rel="stylesheet" type="text/css" href="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'templates/css/core.css" media="screen" />';
			}			
			if ($this->conf['includeJS'])
			{
				$meta_tags['tx_multishop_pi1_more'] .='<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"></script>';
			}
			if ($mg['admin_mode']) 
			{
				$meta_tags['tx_multishop_pi1_sortable'] ='
								<link href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/themes/base/jquery-ui.css" rel="stylesheet" type="text/css"/>
								<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.8/jquery-ui.min.js"></script>
								<link rel="stylesheet" type="text/css" href="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'scripts/includes/templates/admin_1/css/admin.css" media="screen" />
				';
			}
			$meta_tags['tx_multishop_pi1_more'] .='<script type="text/javascript">jQuery.noConflict();</script>';
			
			if ($this->conf['includeJS'])
			{
			$meta_tags['tx_multishop_pi1_highslide'] ='
								<script type="text/javascript" src="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'js/highslide/highslide-full.packed.js"></script>
					<script language="javascript" type="text/javascript">
					hs.cacheAjax = false;
					hs.allowMultipleInstances = false;
					hs.loadingText = \'loading\';
					hs.loadingTitle = \'\';
					hs.focusTitle = \'\';
					hs.fullExpandTitle = \'\';
					hs.restoreTitle = \'\';
					hs.graphicsDir = \''.t3lib_extMgm::siteRelPath($this->extKey).'js/highslide/graphics/\';
					hs.transitions = [\'expand\', \'\'];
					hs.outlineType = \'rounded-white\';
					hs.fadeInOut = false;
					hs.wrapperClassName = \'borderless\';
					hs.showCredits = false;
					hs.dimmingOpacity = 0.4;	
					if (hs.addSlideshow) hs.addSlideshow({
						interval: 5000,
						repeat: false,
						useControls: false,
						fixedControls: \'fit\',
						overlayOptions: {
							opacity: .75,
							position: \'bottom center\',
							hideOnMouseOut: false
						}
					});
					
					</script>
								
	
			';	

			}	
			foreach ($meta_tags as $item)
			{
				$content.=$item;
			}
			return processmeta($content);
			break;
			case 'basket':
			$cart = $GLOBALS['TSFE']->fe_user->getKey('ses', 'tx_multishop_cart');
			$totalitems=0;
			if (count($cart['products']) >0)
			{
				foreach ($cart['products'] as $product)
				{
					if (is_numeric($product['qty'])) $totalitems=$totalitems+$product['qty'];
				}
			}

			$content.='<div id="multishop_basketbox" class="boxes">';	
			$content.='<div class="boxes-heading"><h2><a href="'.typolink($GLOBALS["multishop_page_uid"],'&tx_multishop_pi1[page_section]=shopping_cart').'">'.$this->pi_getLL('basket').'</a></h2></div>
			<div class="boxes-content">
			'.(($totalitems==1)?sprintf($this->pi_getLL('you_have_item_in_your_cart'),$totalitems):sprintf($this->pi_getLL('you_have_items_in_your_cart'),$totalitems)).'.';
			if ($totalitems > 0) $content.=' -> <a href="'.typolink($GLOBALS["multishop_page_uid"],'&tx_multishop_pi1[page_section]=checkout').'">'.$this->pi_getLL('checkout').'</a>';
			$content.='</div></div>';			
			break;
			case 'catlist':						   
				$this->maxDEPTH=$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'maxDEPTH', 's_listing');
				$this->showHeader=$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'showHeader', 's_listing');
				$this->showifsub=$this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'showIfsub', 's_listing');
				
			$mg['add_this_buttons']='	
			<div class="align_center">
			<!-- AddThis Button BEGIN -->
			<script type="text/javascript">var addthis_pub = "typo3multishop";</script>
			<a rel="nofollow" href="http://www.addthis.com/bookmark.php" onmouseover="return addthis_open(this, \'\', \'http://'.$server['HTTP_HOST'].'\', \''.$GLOBALS['TSFE']->tmpl->sitetitle.'\')" onmouseout="addthis_close()" onclick="return addthis_sendto()"><img src="http://s7.addthis.com/static/btn/lg-bookmark-en.gif" width="125" height="16" border="0" alt="" /></a><script type="text/javascript" src="http://s7.addthis.com/js/152/addthis_widget.js"></script>
			<!-- AddThis Button END -->			
			</div>
			';
			if ($this->showifsub)
			{
				if (is_numeric($get['categories_id']))
				{
					
					$user_crumbar=$TYPO3_CONF_VARS['tx_multishop_data']['user_crumbar'];
					$user_crumbar=array_reverse($user_crumbar);
					$nested_level=0;
					$catlist=getSubcatsOnly($user_crumbar[$nested_level]['id']);
					if (count($catlist) >0)
					{
						$content.='<div id="multishop_catbox_'.$this->cObj->data['uid'].'">
						'.(($this->showHeader)? '<div class="boxes-heading"><h2>'.$this->pi_getLL('catalog').'</h2></div>':'').'
							<div class="boxes-content">
							<ul id="catalog_sortable_'.$this->cObj->data['uid'].'">';
						foreach ($catlist as $cat)
						{
							// level 0
							// get all cats to generate multilevel fake url
							$nested_level=1;					
							$level=0;
							$cats=Crumbar($cat['categories_id']);				
							$cats=array_reverse($cats);
							$where='';
							if (count($cats) > 0)
							{
								foreach ($cats as $item)
								{
									$where.="categories_id[".$level."]=".$item['id']."&";
									$level++;
								}
								$where=substr($where,0,(strlen($where)-1));
								$where.='&';
							}
							// get all cats to generate multilevel fake url eof					
							$link=typolink($GLOBALS["multishop_page_uid"],'&'.$where.'&tx_multishop_pi1[page_section]=products_listing');
							$actifsub=0;
							$act=0;
							if ($user_crumbar[$nested_level]['id'] == $cat['categories_id'])
							{
								if ($user_crumbar[($nested_level+1)])
								{
									$actifsub=1;
								}
								else
								{
									$act=1;
								}
							}
							$categories_name=htmlspecialchars($cat['categories_name']);					
							$content.='<li ';
							if ($mg['admin_mode']) $content.='id="sortable_maincat_'.$cat['categories_id'].'" ';
							$content.=(($actifsub or $act)?'class="active"':'').'><a href="'.$link.'">'.$categories_name.'</a>';
							// level 0 eof
							if ($this->maxDEPTH > $nested_level or ($actifsub or $act))
							{							
								$catlist2=getSubcatsOnly($cat['categories_id']);
								if (count($catlist2) > 0)
								{
									// level 1
									$content.='<ul>';
									foreach ($catlist2 as $cat)
									{					
										$nested_level=2;
										// get all cats to generate multilevel fake url
										$level=0;
										$cats=Crumbar($cat['categories_id']);				
										$cats=array_reverse($cats);
										$where='';
										if (count($cats) > 0)
										{
											foreach ($cats as $item)
											{
												$where.="categories_id[".$level."]=".$item['id']."&";
												$level++;
											}
											$where=substr($where,0,(strlen($where)-1));
											$where.='&';
										}
										// get all cats to generate multilevel fake url eof					
										$link=typolink($GLOBALS["multishop_page_uid"],'&'.$where.'&tx_multishop_pi1[page_section]=products_listing');
										$actifsub=0;
										$act=0;
										if ($user_crumbar[$nested_level]['id'] == $cat['categories_id'])
										{
											if ($user_crumbar[($nested_level+1)])
											{
												$categories_name=htmlspecialchars($cat['categories_name']);					
												$actifsub=1;
											}
											else
											{
												$categories_name=htmlspecialchars($cat['categories_name']);										
												$act=1;
											}
										}
										else
										{
											$categories_name=htmlspecialchars($cat['categories_name']);					
										}
										$content.='<li '.(($actifsub or $act)?'class="subactive"':'').'><a href="'.$link.'">'.$categories_name.'</a>';
										$content.='</li>';
									}
									$content.='</ul>';		
									// level 1 eof
								}
							}
							$content.='</li>';
						}
						$content.='</ul></div></div>';
						if ($mg['admin_mode'])
						{
							$content.='					
							<script>
							  jQuery(document).ready(function() {
								var result = jQuery("#catalog_sortable_'.$this->cObj->data['uid'].'").sortable({
								 cursor:     "move", 
									//axis:       "y", 
									update: function(e, ui) { 
										href = "index.php?eID=multishop&type=menu"; 
										jQuery(this).sortable("refresh"); 
										sorted = jQuery(this).sortable("serialize", "id"); 
										jQuery.ajax({ 
												type:   "POST", 
												url:    href, 
												data:   sorted, 
												success: function(msg) { 
														//do something with the sorted data 
												} 
										}); 
									} 
								});
							  });
							  </script>					
							';
						}				
					}
				
				}
			}
			else
			{
				$user_crumbar=$TYPO3_CONF_VARS['tx_multishop_data']['user_crumbar'];
				$user_crumbar=array_reverse($user_crumbar);
				$catlist=getSubcatsOnly(0);
				if (count($catlist) >0)
				{
					$content.='<div id="multishop_catbox_'.$this->cObj->data['uid'].'">
						'.(($this->showHeader)? '<div class="boxes-heading"><h2>'.$this->pi_getLL('catalog').'</h2></div>':'').'
						<div class="boxes-content">
						<ul id="catalog_sortable_'.$this->cObj->data['uid'].'">';
					$item_counter=0;
					foreach ($catlist as $cat)
					{
						$item_counter++;
						// level 0
						// get all cats to generate multilevel fake url
						$nested_level=0;					
						$level=0;
						$cats=Crumbar($cat['categories_id']);				
						$cats=array_reverse($cats);
						$where='';
						if (count($cats) > 0)
						{
							foreach ($cats as $item)
							{
								$where.="categories_id[".$level."]=".$item['id']."&";
								$level++;
							}
							$where=substr($where,0,(strlen($where)-1));
							$where.='&';
						}
						// get all cats to generate multilevel fake url eof					
						$link=typolink($GLOBALS["multishop_page_uid"],'&'.$where.'&tx_multishop_pi1[page_section]=products_listing');
						$actifsub=0;
						$act=0;
						if ($user_crumbar[$nested_level]['id'] == $cat['categories_id'])
						{
							if ($user_crumbar[($nested_level+1)])
							{
								$actifsub=1;
							}
							else
							{
								$act=1;
							}
						}
						$categories_name=htmlspecialchars($cat['categories_name']);					
						$content.='<li ';
						$class='';
						if ($mg['admin_mode'])  $content.='id="sortable_maincat_'.$cat['categories_id'].'" ';
						else 					$class.='item_'.$item_counter.' ';
						if ($actifsub or $act)  $class.='active ';
						$content.=(($class)?'class="'.trim($class).'"':'').'><a href="'.$link.'">'.$categories_name.'</a>';
						// level 0 eof
						if ($this->maxDEPTH > $nested_level)
						{
							$catlist2=getSubcatsOnly($cat['categories_id']);
							if (count($catlist2) > 0)
							{
								// level 1
								$content.='<ul>';
								foreach ($catlist2 as $cat)
								{					
									$nested_level=1;
									// get all cats to generate multilevel fake url
									$level=0;
									$cats=Crumbar($cat['categories_id']);				
									$cats=array_reverse($cats);
									$where='';
									if (count($cats) > 0)
									{
										foreach ($cats as $item)
										{
											$where.="categories_id[".$level."]=".$item['id']."&";
											$level++;
										}
										$where=substr($where,0,(strlen($where)-1));
										$where.='&';
									}
									// get all cats to generate multilevel fake url eof					
									$link=typolink($GLOBALS["multishop_page_uid"],'&'.$where.'&tx_multishop_pi1[page_section]=products_listing');
									$actifsub=0;
									$act=0;
									if ($user_crumbar[$nested_level]['id'] == $cat['categories_id'])
									{
										if ($user_crumbar[($nested_level+1)])
										{
											$categories_name=htmlspecialchars($cat['categories_name']);					
											$actifsub=1;
										}
										else
										{
											$categories_name=htmlspecialchars($cat['categories_name']);										
											$act=1;
										}
									}
									else
									{
										$categories_name=htmlspecialchars($cat['categories_name']);					
									}
									$content.='<li '.(($actifsub or $act)?'class="subactive"':'').'><a href="'.$link.'">'.$categories_name.'</a>';
									$content.='</li>';
								}
								$content.='</ul>';		
								// level 1 eof
							}
						}
						$content.='</li>';
					}
					$content.='</ul></div></div>';
					if ($mg['admin_mode'])
					{
						$content.='					
						<script>
						  jQuery(document).ready(function() {
							var result = jQuery("#catalog_sortable_'.$this->cObj->data['uid'].'").sortable({
							 cursor:     "move", 
								//axis:       "y", 
								update: function(e, ui) { 
									href = "index.php?eID=multishop&type=menu"; 
									jQuery(this).sortable("refresh"); 
									sorted = jQuery(this).sortable("serialize", "id"); 
									jQuery.ajax({ 
											type:   "POST", 
											url:    href, 
											data:   sorted, 
											success: function(msg) { 
													//do something with the sorted data 
											} 
									}); 
								} 
							});
						  });
						  </script>					
						';
					}				
				}	
			}
			if (!$content)
			{
				// no content. for bypassing ugly outside basewraps we show something else (in this case a addthis.com button)
				$content.='<div id="multishop_catbox_'.$this->cObj->data['uid'].'">
				'.(($this->showHeader)? '<div class="boxes-heading"><h2>'.$this->pi_getLL('catalog').'</h2></div>':'').'
				<div class="boxes-content">'.
					$mg['add_this_buttons']
				.'</div></div>';
			}			
			break;	
			case 'search':
				$content.='
					<form action="'.typolink($GLOBALS["multishop_page_uid"],'&tx_multishop_pi1[page_section]=products_search').'" method="get" name="products_searchform">
					<div class="form-fieldset">
						<label for="skeyword">'.$this->pi_getLL('keyword').':</label>
						<input name="skeyword" type="text" value="'.htmlspecialchars(RemoveXSS($get['skeyword'])).'" />
						<label>&nbsp;</label>
						<input name="Submit" type="submit" value="'.htmlspecialchars($this->pi_getLL('search')).'" />
					</div>
					<script>
							new Autocomplete(\'skeyword\', function() {
								autoWidth:0;
								return \'http://'.$server['HTTP_HOST'].'/'.typolink($GLOBALS["multishop_page_uid"],'&tx_multishop_pi1[page_section]=ajax_products_search').'?q=\' + this.value;
							});
					</script>						
					</form>
				';
				$GLOBALS['TSFE']->additionalHeaderData['tx_multishop_pi1'] = '<script type="text/javascript" src="http://'.$server['HTTP_HOST'].'/'.t3lib_extMgm::siteRelPath($this->extKey).'js/autocomplete/scripts/autocomplete_front.js"></script>
				';								
			break;				
			case 'special':		
				$this->contentType = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'contentType', 's_specials');
				$this->limit = $this->pi_getFFvalue($this->cObj->data['pi_flexform'], 'speciallimit', 's_specials');		
				$content.=SpecialsBox($this->contentType,$this->limit,$GLOBALS["multishop_page_uid"]);
			break;				
			case 'coreshop':
			include('core.php');
			if ($this->conf['show_powered_by_multishop'])
			{
				$content.='
				<div class="align_center" id="typo3multishop_logo" style="padding-top:10px;clear:both;">
					<a href="http://www.typo3multishop.com/?utm_source=Typo3Website&utm_medium=cpc&utm_term=Typo3Multishop&utm_content=Listing&utm_campaign=Typo3Multishop" title="Typo3 Multishop"><img src="'.t3lib_extMgm::siteRelPath($this->extKey).'scripts/includes/images/powered_by_typo3multishop.png" border="0"></a>
				</div>
				';
			}
			break;
		}			
		restore_include_path();
		return $this->pi_wrapInBaseClass($content);
	}
}
if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/multishop/pi1/class.tx_multishop_pi1.php'])
{
	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['ext/multishop/pi1/class.tx_multishop_pi1.php']);
}
?>